{% extends '../base.html'%} {% block main %} {% load static %}

<div class="main-container position-relative">
  {% include "../components/quick_access.html" %}
  <div class="create-repair">
    <form method="POST" enctype="multipart/form-data">
      {% csrf_token %}
      <h2 class="text-center">Faire une demande de réparation</h2>
      <div class="staps">
        <span id="personal-info-stape" class="active-span"
          >Informations personnelles</span
        >
        <span id="drone-info-stape">Détails du drone</span>
        <span id="drone-images-stape">Images du drone</span>
      </div>

      <section id="section-1">
        <h3 class="text-center">Vos informations personnelles</h3>
        <p>
          <label for="fits_name">Votre prénom&nbsp;:</label>
          <input
            type="text"
            name="fits_name"
            class="text form-control cost-repair-form shadow"
            id="first_name"
            required=""
            readonly=""
            label="Votre prénom"
            value="{{ request.user.get_first_name }}"
          />
        </p>
        <p>
          <label for="last_name">Votre nom&nbsp;:</label>
          <input
            type="text"
            name="last_name"
            class="text form-control cost-repair-form shadow"
            id="last_name"
            required=""
            readonly=""
            label="Votre nom"
            value="{{ request.user.get_last_name }}"
          />
        </p>
        <p>
          <label for="email">Votre adresse mail&nbsp;:</label>
          <input
            type="text"
            name="email"
            class="text form-control cost-repair-form shadow"
            id="email"
            required=""
            readonly=""
            label="Votre email"
            value="{{ request.user.email }}"
          />
        </p>
        <p>
          <label for="phone_number">Votre numéro de téléphone&nbsp;:</label>
          <input
            type="tel"
            name="phone_number"
            class="text form-control cost-repair-form shadow"
            id="phone_number"
            required=""
            placeholder="0102030405"
            {%if request.user.phone %} value="{{ request.user.phone }}"
            {% endif %}
            label="Votre numéro de téléphone"
          />
        </p>
        <p class="fs-3 text-center">Votre adresse</p>
        <p>
          <label for="rue_number">Numéro de rue&nbsp;:</label>
          <input
            type="number"
            name="rue_number"
            class="text form-control cost-repair-form shadow address-input"
            id="rue_number"
            required=""
            placeholder="5"
            {%if request.user.address %}value="{{ request.user.address.rue_number }}" {% endif %}
            label="Votre adresse"
          />
        </p>
        <p>
          <label for="rue_name">Nom de rue&nbsp;:</label>
          <input
            type="address"
            name="rue_name"
            class="text form-control cost-repair-form shadow address-input"
            id="rue_name"
            placeholder="Avenu de Anatole"
            required=""
            {%if request.user.address %}value="{{ request.user.address.rue_name }}" {% endif %}
            label="Votre adresse"
          />
        </p>
        <p>
          <label for="postal_code">Code postal&nbsp;:</label>
          <input
            type="number"
            name="postal_code"
            class="text form-control cost-repair-form shadow address-input"
            id="postal_code"
            placeholder="75007"
            required=""
            {%if request.user.address %}value="{{ request.user.address.postal_code }}" {% endif %}
            label="Votre adresse"
          />
        </p>
        <p>
          <label for="city">Ville&nbsp;:</label>
          <input
            type="text"
            name="city"
            class="text form-control cost-repair-form shadow address-input"
            id="city"
            required=""
            placeholder="Paris"
            {%if request.user.address %}value="{{ request.user.address.city }}" {% endif %}
            label="Votre adresse"
          />
        </p>
        <p>
          <label for="country">Pays&nbsp;:</label>
          <input
            type="text"
            name="country"
            class="text form-control cost-repair-form shadow address-input"
            id="country"
            required=""
            placeholder="France"
            {%if request.user.address %}value="{{ request.user.address.country }}" {% endif %}
            label="Votre adresse"
          />
        </p>
        <p>
          <label for="address-review">Recapitulatif de l'adresse &nbsp;:</label>
          <input
            type="text"
            name="address-review"
            class="text form-control cost-repair-form shadow address-input"
            id="address-review"
            readonly=""
            placeholder="5 Avenu de Anatole, 75007 Paris, France"
            label="Votre adresse"
            {%if request.user.address %}value="{{ request.user.address.get_address }}" {% endif %}
          />
        </p>
        <script>
          const addressInput = document.querySelectorAll(".address-input");
          const addressReview = document.querySelector("#address-review");
          addressInput.forEach((input) => {
            input.addEventListener("input", () => {
              addressReview.value = `${rue_number.value} ${rue_name.value}, ${postal_code.value} ${city.value}, ${country.value}`;
            });
          });
        </script>
      </section>
      <section id="section-2" style="display: none">
        <h3 class="text-center">Les détails de votre problème</h3>
        <p>
          <label for="company">Marque&nbsp;:</label>
          <select name="company" id="company" class="form-select">
            {% for compnay in all_companies %}
              <option value="{{compnay.id}}" {% if forloop.counter == 1 %} selected {% endif %}>{{compnay.name}}</option>
            {% endfor %}
          </select>
        </p>
        <p>
          <label for="name">Nom d'article&nbsp;:</label>
          <input
            type="text"
            name="name"
            class="text form-control cost-repair-form shadow"
            id="name"
            required=""
            label="SIRET de votre drone"
          />
        </p>
        <p>
          <div class="d-flex justify-content-between">
            <label for="drone_siret">Numéro de série&nbsp;:</label>
            <span style="font-size: 10px; color: gray;">**20 caractères maximum</span>
          </div>
          <input
            type="text"
            maxlength="20"
            name="drone_siret"
            class="text form-control cost-repair-form shadow"
            id="drone_siret"
            required=""
            label="SIRET de votre drone"
          />
        </p>
        <p>
          <label for="drone_damages">Détails des dégats&nbsp;:</label>
          <textarea
            name="drone_damages"
            cols="40"
            rows="10"
            class="text form-control cost-repair-form shadow"
            id="drone_damages"
            required=""
            label="Détails des dégats"
            row="5"
          ></textarea>
        </p>
      </section>
      <section id="section-3" style="display: none">
        <!--  -->
        <div class="px-1 py-2 mt-2 rounded border border-dark mt-2 d-flex flex-column justify-content-around">
          <p>Ajouter des images concernant votre problème:</p>
          <div class="d-flex justify-content-center align-content-center">
            <label for="image-input" class="fa-solid fa-plus fa-cloud-arrow-up p-2 rounded cursor-pointer" style="font-size: 2rem; border: 2px dotted black"></label>
            <input type="file" name="form-images" class="text form-control d-none" id="image-input" multiple="" accept="image/*" value=" ">
          </div>
        </div>

        <div
          class="image-container"
          id="image-container"
          style="display: none"
        ></div>
      </section>
      <div class="chang-page-btns validate-btn">
        <button type="submit" id="validate-btn" style="display: none">
          <i class="fa-solid fa-check"></i>
          Faire ma demande
        </button>
      </div>
    </form>
    <div
      class="chang-page-btns"
      style="
        display: flex;
        gap: 2rem;
        justify-content: center;
        justify-self: center;
      "
    >
      <button id="goBack" style="display: none">
        <i class="fa-solid fa-arrow-left"></i>
      </button>
      <button id="goAhead">
        <i class="fa-solid fa-arrow-right"></i>
      </button>
    </div>
  </div>

  <script src="{% static 'assets/js/repair_demande.js' %}"></script>
</div>

{% endblock main%}
